{% extends 'base.html.twig' %}

{% block title %}User index{% endblock %}

{% block body %}
    <div class="card">
        <div class="card-header">
            <h1 class="card-title float-left">Liste des fournisseurs</h1>
            <div class="float-right">
                <a class="btn btn-primary" href="{{ path('dashboard_user_new') }}">Ajouter un fournisseur</a>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="card-body">
            <table class="table">
                <thead>
                <tr>
                    <th class="text-center"><i class="fa fa-image"></i></th>
                    <th>Nom</th>
                    <th>Email</th>
                    <th>Téléphone</th>
                    <th>Matricule fiscale</th>
                    <th>Secteur d'activités</th>
                    <th>actions</th>
                </tr>
                </thead>
                <tbody>
                {% for user in users %}
                    <tr>
                        <td class="text-center"><img height="40" src="{{ user.logoUrl }}" alt=""></td>
                        <td>
                            {{ user.name }}
                        </td>
                        <td>{{ user.email }}</td>
                        <td>{{ user.phone }}</td>
                        <td>{{ user.vatNumber }}</td>
                        <td>
                            {% for field in user.fields %}
                            <span class="badge badge-info">{{ field }}</span>
                            {% endfor %}
                        </td>
                        <td>
                            <a class="btn btn-sm btn-success" href="{{ path('dashboard_user_show', {'id': user.id}) }}"><i class="fa fa-eye"></i></a>
                            <a class="btn btn-sm btn-info" href="{{ path('dashboard_user_edit', {'id': user.id}) }}"><i class="fa fa-edit"></i></a>
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="9">Aucun fournisseur trouvé</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div class="navigation mt-4">
                {{ knp_pagination_render(users) }}
            </div>
        </div>
    </div>


{% endblock %}
